Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyLexer

- org.apache.groovy.parser.antlr4.GroovyLexer

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static int` | `DQ_GSTRING_MODE` |
    `static int` | `StringLiteral` |
    `static Vocabulary` | `VOCABULARY` |
    `static ATN` | `_ATN` |
    `static String` | `_serializedATN` |
    `static String[]` | `channelNames` |
    `static String[]` | `modeNames` |
    `static String[]` | `ruleNames` |
    `static String[]` | `tokenNames` | deprecated: Use VOCABULARY instead.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyLexer (CharStream input)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `action(RuleContext _localctx, int ruleIndex, int actionIndex)`
    `` | `void` | `emit(Token token)` Record the index and token type of the current token while emitting tokens.
    `` | `protected void` | `enterParenCallback(String text)`
    `` | `protected void` | `exitParenCallback(String text)`
    `` | `String[]` | `getChannelNames()`
    `` | `int` | `getErrorColumn()`
    `` | `int` | `getErrorLine()`
    `` | `String` | `getGrammarFileName()`
    `` | `String[]` | `getModeNames()`
    `` | `String[]` | `getRuleNames()`
    `` | `String` | `getSerializedATN()`
    `` | `int` | `getSyntaxErrorSource()`
    `` | `String[]` | `getTokenNames()`
    `` | `Vocabulary` | `getVocabulary()`
    `` | `int` | `popMode()`
    `` | `protected void` | `rollbackOneChar()` just a hook, which will be overrided by GroovyLangLexer
    `` | `boolean` | `sempred(RuleContext _localctx, int ruleIndex, int predIndex)`

- - ### Field Detail

    - #### public static final int DQ_GSTRING_MODE

    - #### public static final int StringLiteral

    - #### public static final Vocabulary VOCABULARY

    - #### public static final ATN _ATN

    - #### public static final String _serializedATN

    - #### public static String[] channelNames

    - #### public static String[] modeNames

    - #### public static final String[] ruleNames

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprDeprecated public static final String[] tokenNames

      deprecated:
        Use VOCABULARY instead.

  - ### Constructor Detail

    - #### public GroovyLexer(CharStream input)

  - ### Method Detail

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void action(RuleContext _localctx, int ruleIndex, int actionIndex)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void emit(Token token)

      Record the index and token type of the current token while emitting tokens.

    - #### protected void enterParenCallback(String text)

    - #### protected void exitParenCallback(String text)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride @com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull public String[] getChannelNames()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public int getErrorColumn()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public int getErrorLine()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public String getGrammarFileName()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride @com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull public String[] getModeNames()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public String[] getRuleNames()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public String getSerializedATN()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public int getSyntaxErrorSource()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride @com.github.javaparser.ast.expr.MarkerAnnotationExprDeprecated public String[] getTokenNames()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride @com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull public Vocabulary getVocabulary()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public int popMode()

    - #### protected void rollbackOneChar()

      just a hook, which will be overrided by GroovyLangLexer

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public boolean sempred(RuleContext _localctx, int ruleIndex, int predIndex)